﻿//===============================================================================
// Goal Book.
// Copyright © 2009 Mark Brownsword. 
//===============================================================================

#region Using Statements
using System;
using System.Windows.Input;
using GoalBook.Infrastructure.Enums;
#endregion

namespace GoalBook.Infrastructure
{
    public class CommandInfo
    {
        /// <summary>
        /// Constructor.
        /// </summary>        
        public CommandInfo(string title, int index, ParentMenuType parentMenu, 
            Uri iconUri, KeyGesture keyInputGesture)
        {
            Title = title;
            Index = index;
            ParentMenu = parentMenu;
            IconUri = iconUri;
            KeyInputGesture = keyInputGesture;
        }

        /// <summary>
        /// Gets or sets the title used by the UI element.
        /// </summary>
        public string Title { get; set; }

        /// <summary>
        /// Gets or sets the index for the menuitem.
        /// </summary>
        public int Index { get; set; }

        /// <summary>
        /// Gets or sets the ParentMenu.
        /// </summary>
        public ParentMenuType ParentMenu { get; set; }

        /// <summary>
        /// Gets or sets the IconUri.        
        /// </summary>
        public Uri IconUri { get; set; }

        /// <summary>
        /// Gets or sets the KeyInputGesture.        
        /// </summary>
        public KeyGesture KeyInputGesture { get; set; }        
    }
}
