﻿//===============================================================================
// Goal Book.
// Copyright © 2009 Mark Brownsword. 
//===============================================================================

#region Using Statements
using System;
using System.Collections.Generic;
using System.Windows.Data;
#endregion

namespace GoalBook.Infrastructure.Converters
{
    /// <summary>
    /// Value Converter for object model item foreign keys.
    /// </summary>
    public class GuidForeignKeyConverter : IValueConverter
    {
        #region IValueConverter Members
        /// <summary>
        /// Convert ID to Lookup Value.
        /// </summary>        
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            string result = null;
            
            ObjectDataProvider provider;
            if ((provider = parameter as ObjectDataProvider) != null)
            {
                Dictionary<Guid, string> list;
                if ((list = provider.Data as Dictionary<Guid, string>) != null)
                {
                    if (value is Guid)
                    {
                        list.TryGetValue((Guid)value, out result);
                    }
                }
            }

            return result;
        }
        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            Guid result = Guid.Empty;
            if (value == null) { return result; }

            ObjectDataProvider provider;
            if ((provider = parameter as ObjectDataProvider) != null)
            {
                Dictionary<Guid, string> list;
                if ((list = provider.Data as Dictionary<Guid, string>) != null)
                {
                    foreach (KeyValuePair<Guid, string> pair in list)
                    {
                        if (pair.Value == value.ToString())
                        {
                            result = pair.Key; break;
                        }
                    }
                }
            }

            return result;
        }

        #endregion
    }
}
