﻿//===============================================================================
// Goal Book.
// Copyright © 2009 Mark Brownsword. 
//===============================================================================

#region Using Statements
using System;
using System.Windows;
using System.Windows.Controls;
using GoalBook.Infrastructure.Enums;
#endregion

namespace GoalBook.Infrastructure
{
    /// <summary>
    /// Contains various settings for dialogs.
    /// </summary>
    public class DialogOptions
    {
        /// <summary>
        /// Gets or sets the title to display on the dialog.
        /// </summary>
        public string DialogTitle { get; set; }

        /// <summary>
        /// Gets or sets the message to display on the dialog.
        /// </summary>
        public string DialogMessage { get; set; }
        
        /// <summary>
        /// Gets or sets whether users should be able to resize the dialog.
        /// </summary>
        public bool AllowResize { get; set; }
        
        /// <summary>
        /// Buttons to show.
        /// </summary>
        public ButtonType Buttons { get; set; }

        /// <summary>
        /// Gets or sets the IconUri for the Dialog.
        /// e.g. new Uri("pack://application:,,,/App.ico")
        /// </summary>
        public Uri IconUri { get; set; }

        /// <summary>
        /// Gets or sets the size of the dialog.
        /// </summary>
        /// <remarks>Leave empty to enable auto size</remarks>
        public Size DialogSize { get; set; }
    }
}
