﻿//===============================================================================
// Goal Book.
// Copyright © 2009 Mark Brownsword. 
//===============================================================================
namespace GoalBook.Infrastructure.Events
{
    #region Using Statements
    using System;
    #endregion

    /// <summary>
    /// Delegate for the DueOptionChanged event.
    /// </summary>    
    public delegate void DueOptionChangedEventHandler(DueOptionChangedEventArgs e);

    /// <summary>
    /// Event arguments for the DueOptionChanged event.
    /// </summary>
    public class DueOptionChangedEventArgs : EventArgs
    {        
        /// <summary>
        /// None.
        /// </summary>
        public bool None { get; set; }

        /// <summary>
        /// DateOnly.
        /// </summary>
        public bool DateOnly { get; set; }

        /// <summary>
        /// DateAndTime.
        /// </summary>
        public bool DateAndTime { get; set; }

        /// <summary>
        /// Constructor.
        /// </summary>    
        public DueOptionChangedEventArgs()
        {                   
        }
    }
}

