﻿//===============================================================================
// Goal Book.
// Copyright © 2009 Mark Brownsword. 
//===============================================================================

#region Using Statements
using System;
using System.ComponentModel;
#endregion

namespace GoalBook.Infrastructure.Events
{
    /// <summary>
    /// Delegate for the ErrorInfoChanged event.
    /// </summary>    
    public delegate void ErrorInfoChangedEventHandler(ErrorInfoChangedEventArgs e);

    /// <summary>
    /// Event arguments for the ErrorInfoChanged event.
    /// </summary>
    public class ErrorInfoChangedEventArgs : EventArgs
    {        
        /// <summary>
        /// ErrorInfo.
        /// </summary>
        public IDataErrorInfo ErrorInfo { get; private set; }

        /// <summary>
        /// Constructor.
        /// </summary>    
        public ErrorInfoChangedEventArgs(IDataErrorInfo errorInfo)
        {
            ErrorInfo = errorInfo;            
        }
    }
}

