﻿//===============================================================================
// Goal Book.
// Copyright © 2009 Mark Brownsword. 
//===============================================================================

#region Using Statements
using System;
#endregion

namespace GoalBook.Infrastructure.Events
{
    /// <summary>
    /// Delegate for handling the Contributes event.
    /// </summary>    
    public delegate void LevelChangedEventHandler(LevelChangedEventArgs e);

    /// <summary>
    /// Event arguments for the LevelChanged event.
    /// </summary>
    public class LevelChangedEventArgs : EventArgs
    {
        /// <summary>
        /// Level.
        /// </summary>
        public int LevelID { get; protected set; }
        
        /// <summary>
        /// Constructor.
        /// </summary>    
        public LevelChangedEventArgs(int levelID)
        {
            LevelID = levelID;            
        }
    }
}

