﻿//===============================================================================
// Goal Book.
// Copyright © 2009 Mark Brownsword. 
//===============================================================================

#region Using Statements
using System;
using System.ComponentModel;
using System.Windows.Controls;
using GoalBook.Infrastructure;
using GoalBook.Infrastructure.Enums;
using GoalBook.Infrastructure.Interfaces;
using GoalBook.Shell.Services;
#endregion

namespace GoalBook.Shell.Misc
{
    public interface IShellView
    {
        //Methods
        void ExitView();
        void ShowView();             
        void DisplayModuleInfo(string name, Uri imageUri);
        void InitialiseSettings(ApplicationSettings settings);        
        void ShowStatusMessage(string message);
        void ShowStatusSyncImage(bool visible);

        event CancelEventHandler CanClose;
        event EventHandler SaveChanges;
        
        MenuItem AddMenuItem(MenuInfo info);        
        void RemoveMenuItem(MenuItem item, ParentMenuType parentMenu);
        
        //Properties
        object DataContext { get; set; }
        string ActiveModule { get; set; } 
    }
}
