﻿//===============================================================================
// Goal Book.
// Copyright © 2009 Mark Brownsword. 
//===============================================================================

#region Using Statements
using System;
using System.Reflection;
using System.Runtime.InteropServices;
using System.Windows;
#endregion

#region Assembly Attributes
// General Information about an assembly is controlled through the following 
// set of attributes. Change these attribute values to modify the information
// associated with an assembly.
[assembly: AssemblyTitle("GoalBook.Shell")]
[assembly: AssemblyDescription("GoalBook.Shell")]
#endregion

namespace GoalBook.Shell
{
    /// <summary>
    /// AssemblyInfo class exposes generic static method to 
    /// obtain specified attributes from the executing assembly.
    /// </summary>
    internal static class AssemblyInfo
    {
        /// <summary>
        /// Get the specified custom attribute.
        /// </summary>
        /// <typeparam name="TAttribute">The custome attribute required.</typeparam>
        /// <returns>Custom attribute.</returns>
        internal static TAttribute GetCustomAttribute<TAttribute>() where TAttribute : Attribute
        {
            TAttribute attribute = (TAttribute)Attribute.GetCustomAttribute(Assembly.GetExecutingAssembly(), typeof(TAttribute));
            return attribute;
        }        
    }
}