﻿//===============================================================================
// Goal Book.
// Copyright © 2009 Mark Brownsword. 
//===============================================================================

#region Using Statements
using System;
using System.Security.Principal;
using System.Threading;
#endregion

namespace GoalBook.Shell.Services
{
    internal static class SecuritySettings
    {
        #region Constants and Enums
        #endregion

        #region Inner Classes and Structures
        #endregion

        #region Delegates and Events
        #endregion

        #region Instance and Shared Fields
        #endregion

        #region Constructors
        #endregion

        #region Properties
        /// <summary>
        /// Get a reference to the current Windows Principal. Use WindowsPrinciple       
        /// to gain access to a users group membership e.g.
        /// 
        /// SecuritySettings.CurrentPrincipal.IsInRole(WindowsBuiltInRole.Administrator);
        /// SecuritySettings.CurrentPrincipal.IsInRole("Domain Users");          
        /// </summary>
        internal static WindowsPrincipal CurrentPrincipal
        {
            get { return (WindowsPrincipal)Thread.CurrentPrincipal; }
        }
        #endregion

        #region Private and Protected Methods
        #endregion

        #region Public and internal Methods
        /// <summary>
        /// Set the applications PrincipalPolicy as WindowsPrincipal. 
        /// </summary>
        internal static void InitialiseSecuritySettings()
        {
            //Specify Windows Principal for security policy. The WindowsPrincipal
            //class determines which groups a user is a member of.
            AppDomain.CurrentDomain.SetPrincipalPolicy(PrincipalPolicy.WindowsPrincipal);
        }
        #endregion

        #region Event Handlers
        #endregion

        #region Base Class Overrides
        #endregion
    }
}
