﻿//===============================================================================
// Goal Book.
// Copyright © 2009 Mark Brownsword. 
//===============================================================================

#region Using Statements
using GoalBook.Infrastructure;
using System.ComponentModel;
#endregion

namespace GoalBook.Shell.Views
{
    /// <summary>
    /// Presenter class for InternetDialogView.
    /// </summary>
    public class InternetDialogViewPresenter
    {
        #region Constants and Enums
        #endregion

        #region Inner Classes and Structures
        #endregion

        #region Delegates and Events
        #endregion

        #region Instance and Shared Fields
        #endregion

        #region Constructors
        /// <summary>
        /// Constructor.
        /// </summary>
        public InternetDialogViewPresenter(Proxy hostInfo)
        {
            //Initialise Model.
            Model = new InternetDialogViewPresentationModel();
            Model.HostInfo = hostInfo;
            Model.HostInfo.PropertyChanged += new PropertyChangedEventHandler(HostInfo_PropertyChanged);
        }
        #endregion

        #region Properties
        /// <summary>
        /// Reference to Model.
        /// </summary>
        public InternetDialogViewPresentationModel Model { get; set; }
        /// <summary>
        /// Reference to View.
        /// </summary>
        public InternetDialogView View { get; set; }
        #endregion

        #region Private and Protected Methods
        #endregion

        #region Public and internal Methods
        /// <summary>
        /// Initialise the View.
        /// </summary>
        public void InitView()
        {
            View.DataContext = Model;            
        }        
        #endregion

        #region Event Handlers
        /// <summary>
        /// Handle HostInfo_PropertyChanged event. Raise event to the Dialog Window
        /// so the OK button is enabled when data is valid.
        /// </summary>        
        private void HostInfo_PropertyChanged(object sender, PropertyChangedEventArgs e)
        {
            View.RaiseErrorInfoChanged(Model.HostInfo as IDataErrorInfo);
        }        
        #endregion

        #region Base Class Overrides
        #endregion
    }
}
