﻿//===============================================================================
// Goal Book.
// Copyright © 2009 Mark Brownsword. 
//===============================================================================

#region Using Statements
using System;
using GoalBook.Infrastructure.ObjectModel;
using GoalBook.Infrastructure;
#endregion

namespace GoalBook.Synchronisation.Events
{
    /// <summary>
    /// Delegate for handling the SyncCompleted event.
    /// </summary>    
    public delegate void SyncCompletedEventHandler(SyncCompletedEventArgs e);

    /// <summary>
    /// Event arguments for the LevelChanged event.
    /// </summary>
    public class SyncCompletedEventArgs : EventArgs
    {
        /// <summary>
        /// Data.
        /// </summary>
        public SyncData Data { get; private set; }

        /// <summary>
        /// Status Message
        /// </summary>
        public string StatusMessage { get; private set; }
                
        /// <summary>
        /// Constructor.
        /// </summary>    
        public SyncCompletedEventArgs(SyncData data, string statusMessage)
        {
            Data = data;
            StatusMessage = statusMessage;
        }
    }
}

