﻿//===============================================================================
// Goal Book.
// Copyright © 2009 Mark Brownsword. 
//===============================================================================

#region Using Statements
#endregion

namespace GoalBook.Synchronisation.ToodleDo
{
    internal abstract class Synchronisor<T>
    {
        #region Constants and Enums
                        
        //Misc constants
        protected const string NUMERIC_FALSE = "0";
        protected const string NUMERIC_TRUE = "1";        
        protected const string DASH = " - ";
        protected const string ADDED = "added";
        protected const string SUCCESS = "success";
        #endregion

        #region Inner Classes and Structures
        #endregion

        #region Delegates and Events
        #endregion

        #region Instance and Shared Fields
        #endregion

        #region Constructors

        /// <summary>
        /// Constructor.
        /// </summary>
        /// <param name="Connector">ToodledoConnector instance</param>
        internal Synchronisor(ToodledoConnector connector)
        {
            Connector = connector;
        }

        #endregion

        #region Properties

        /// <summary>
        /// Reference to Connector.
        /// </summary>
        protected ToodledoConnector Connector { get; private set; }                               
        #endregion

        #region Private and Protected Methods
                
        /// <summary>
        /// Declaration for Sync method. This method must be implemented by inheriting classes.
        /// </summary>
        internal abstract void Sync(T list);

        #endregion

        #region Public and internal Methods
        #endregion

        #region Event Handlers
        #endregion
    }
}
